Communities

Writing
Writing
Codidact Meta
Codidact Meta
The Great Outdoors
The Great Outdoors
Photography & Video
Photography & Video
Scientific Speculation
Scientific Speculation
Cooking
Cooking
Electrical Engineering
Electrical Engineering
Judaism
Judaism
Languages & Linguistics
Languages & Linguistics
Software Development
Software Development
Mathematics
Mathematics
Christianity
Christianity
Code Golf
Code Golf
Music
Music
Physics
Physics
Linux Systems
Linux Systems
Power Users
Power Users
Tabletop RPGs
Tabletop RPGs

Dashboard
Notifications
Mark all as read
Q&A

Error: Cannot find module 'is-color-stop' in Tailwind CLI

+1
−0

While compiling the code for production in Tailwind CLI using:

npx tailwindcss -m -o ./build/tailwind.css --purge "./**/*.html" 

I get:

node:internal/modules/cjs/loader:941
  const err = new Error(message);
              ^

Error: Cannot find module 'is-color-stop'
Require stack:
- C:\Users\kevin\AppData\Local\npm-cache\_npx\bc7494899bbce1ca\node_modules\tailwindcss\peers\index.js
- C:\Users\kevin\AppData\Local\npm-cache\_npx\bc7494899bbce1ca\node_modules\tailwindcss\lib\cli.js    
    at Function.Module._resolveFilename (node:internal/modules/cjs/loader:941:15)
    at Function.Module._load (node:internal/modules/cjs/loader:774:27)
    at Module.require (node:internal/modules/cjs/loader:1013:19)
    at require (node:internal/modules/cjs/helpers:93:18)
    at Object.16087 (C:\Users\kevin\AppData\Local\npm-cache\_npx\bc7494899bbce1ca\node_modules\tailwindcss\peers\index.js:88523:33)        
    at __nccwpck_require__ (C:\Users\kevin\AppData\Local\npm-cache\_npx\bc7494899bbce1ca\node_modules\tailwindcss\peers\index.js:89292:43) 
    at Object.33683 (C:\Users\kevin\AppData\Local\npm-cache\_npx\bc7494899bbce1ca\node_modules\tailwindcss\peers\index.js:52000:43)        
    at __nccwpck_require__ (C:\Users\kevin\AppData\Local\npm-cache\_npx\bc7494899bbce1ca\node_modules\tailwindcss\peers\index.js:89292:43) 
    at Object.64524 (C:\Users\kevin\AppData\Local\npm-cache\_npx\bc7494899bbce1ca\node_modules\tailwindcss\peers\index.js:33988:54)        
    at __nccwpck_require__ (C:\Users\kevin\AppData\Local\npm-cache\_npx\bc7494899bbce1ca\node_modules\tailwindcss\peers\index.js:89292:43) 
{
  code: 'MODULE_NOT_FOUND',
  requireStack: [
    'C:\\Users\\kevin\\AppData\\Local\\npm-cache\\_npx\\bc7494899bbce1ca\\node_modules\\tailwindcss\\peers\\index.js',
    'C:\\Users\\kevin\\AppData\\Local\\npm-cache\\_npx\\bc7494899bbce1ca\\node_modules\\tailwindcss\\lib\\cli.js'
  ]
}
npm ERR! code 1
npm ERR! path C:\Users\kevin\Desktop\Portfolio
npm ERR! command failed
npm ERR! command C:\Windows\system32\cmd.exe /d /s /c tailwind -m -o build\tailwind.css --purge **\*.html

npm ERR! A complete log of this run can be found in:
npm ERR!     C:\Users\kevin\AppData\Local\npm-cache\_logs\2021-09-06T22_55_15_499Z-debug.log

But when I try to compile without the -m flag:

npx tailwindcss -o ./build/tailwind.css --purge "./**/*.html" 

It works well without problems.

According to the help of the CLI (npx tailwindcss -h), the -m (--minify) flag should minify the CSS production file. What did I miss?

Why does this post require moderator attention?
You might want to add some details to your flag.
Why should this post be closed?

0 comment threads

0 answers

Sign up to answer this question »